# Simple toolchain template file for gcc running on aarch64 Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR aarch64)

set(CMAKE_SYSROOT /opt/aarch64-linux-gnu/aarch64-linux-gnu/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER /opt/bin/gcc)
set(CMAKE_CXX_COMPILER /opt/bin/g++)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
